Package org.eclipse.net4j.tcp

# Interface ITCPActiveSelectorListener

public interface ITCPActiveSelectorListener
Call-back that handles the possible calls from a `selector` to an active consumer, usually a `connector`.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`handleConnect(ITCPSelector selector, SocketChannel socketChannel)`
`void`
`handleRead(ITCPSelector selector, SocketChannel socketChannel)`
`void`
`handleRegistration(ITCPSelector selector, SocketChannel socketChannel)`
`void`
`handleWrite(ITCPSelector selector, SocketChannel socketChannel)`

## Method Details

### handleRegistration

void handleRegistration(ITCPSelector selector, SocketChannel socketChannel)

### handleConnect

void handleConnect(ITCPSelector selector, SocketChannel socketChannel)

### handleRead

void handleRead(ITCPSelector selector, SocketChannel socketChannel)

### handleWrite

void handleWrite(ITCPSelector selector, SocketChannel socketChannel)